Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
dri2 fglrx ATI Grafikkarte geht nicht
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
JoHo42
l33t
l33t


Joined: 14 Feb 2004
Posts: 944
Location: Germany

PostPosted: Wed Dec 16, 2009 8:28 am    Post subject: dri2 fglrx ATI Grafikkarte geht nicht Reply with quote

Hi Leute,

ich habe verscucht den fglrx Grafikkarten Treiber ans laufen zu bekommen.
Allerdings lässt sich Xorg dann nicht mehr starten.
Es kommt ständig die Meldung das der DRI2 Treiber fehlt.
Was ist dri2?
Was kann ich tun?

Gruss Jörg
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Wed Dec 16, 2009 10:41 am    Post subject: Reply with quote

Hallo Jörg

Die "dri" bezüglichen Fehlermeldungen kannst du dezent übersehen :wink:
diese Meldungen sind bei Verwendung von proprietäre Treiber eigentlich "normal"...
Die proprietären Treiber wie zb nVidia oder auch der Catayst (fglrx) bringen da ihre eigenen libs mit, auf diese solltest dann zb auch via "opengl set ati" umschalten.

Falls noch nicht geschehen solltest du zunächst mit dem mitinstallierten (ati) Tool eine neue xorg.conf erstellen,
schaue hierzu am besten die idR mitinstallierte Dokumentation des Treibers durch!

Evtl. hilft auch schon diese Info ein stück weiter
https://forums.gentoo.org/viewtopic-p-6035051.html#6035051

Viel Erfolg
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Wed Dec 16, 2009 11:07 am    Post subject: Reply with quote

Josef.95 wrote:
Die "dri" bezüglichen Fehlermeldungen kannst du dezent übersehen :wink:
diese Meldungen sind bei Verwendung von proprietäre Treiber eigentlich "normal"...
Die proprietären Treiber wie zb nVidia oder auch der Catayst (fglrx) bringen da ihre eigenen libs mit, auf diese solltest dann zb auch via "opengl set ati" umschalten.


dass stimmt so nicht ganz ;). Nvidia verwendet eine komplett eigne infrastruktur um direkt rendering zu ermöglichen. Der fglrx treiber verwendet die dri infrastruktur, wenn auch noch nicht die version 2 von dri (dri2).

Dass was du über eselect opengl set <vendor> machst ist die "Umschaltung" der verwendeten opengl implementation. Und nicht ob dri verwendet wird oder nicht.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Wed Dec 16, 2009 1:06 pm    Post subject: Reply with quote

firefly wrote:
dass stimmt so nicht ganz ;)
Ja da hast du wohl recht, danke für die Korrektur und die kurze Erklärung hierzu!
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Wed Dec 16, 2009 1:47 pm    Post subject: Reply with quote

@JoHo42: könntest du die xorg.0.log bei pastebin oder co. hochstellen, eventuell steht da mehr drin um was für ein problem es sich genau handelt.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
JoHo42
l33t
l33t


Joined: 14 Feb 2004
Posts: 944
Location: Germany

PostPosted: Wed Dec 16, 2009 7:13 pm    Post subject: fglrx Reply with quote

@all
Hier mal mein Xorg.log:

_XSERVTransSocketOpenCOTSServer: Unable to open socket for inet6
_XSERVTransOpen: transport open failed for inet6/myoffice:0
_XSERVTransMakeAllCOTSServerListeners: failed to open listener for inet6

This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.6.3.901 (1.6.4 RC 1)
Release Date: 2009-8-25
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.30-gentoo-r4 x86_64
Current Operating System: Linux myoffice 2.6.30-gentoo-r4 #4 SMP Sat Oct 31 18:26:29 CET 2009 x86_64
Build Date: 21 October 2009 07:02:58PM

Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Dec 16 20:13:43 2009
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "X.org Configured"
(**) |-->Screen "Screen0" (0)
(**) | |-->Monitor "Monitor0"
(**) | |-->Device "Card0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/misc/".
Entry deleted from font path.
(Run 'mkfontdir' on "/usr/share/fonts/misc/").
(WW) The directory "/usr/share/fonts/TTF/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/OTF" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/Type1/" does not exist.
Entry deleted from font path.
(WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi/".
Entry deleted from font path.
(Run 'mkfontdir' on "/usr/share/fonts/100dpi/").
(WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/misc/".
Entry deleted from font path.
(Run 'mkfontdir' on "/usr/share/fonts/misc/").
(WW) The directory "/usr/share/fonts/TTF/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/OTF" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/Type1/" does not exist.
Entry deleted from font path.
(WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi/".
Entry deleted from font path.
(Run 'mkfontdir' on "/usr/share/fonts/100dpi/").
(**) FontPath set to:
/usr/share/fonts/75dpi/,
/usr/share/fonts/75dpi/
(**) ModulePath set to "/usr/lib64/xorg/modules"
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
(WW) Disabling Mouse0
(WW) Disabling Keyboard0
(II) Loader magic: 0xd20
(II) Module ABI versions:
X.Org ANSI C Emulation: 0.4
X.Org Video Driver: 5.0
X.Org XInput driver : 4.0
X.Org Server Extension : 2.0
(II) Loader running on linux
(--) using VT number 7

(--) PCI:*(0:1:5:0) 1002:791f:103c:30c2 ATI Technologies Inc RS690M [Radeon X1200 Series] rev 0, Mem @ 0xc0000000/134217728, 0xd0200000/65536, 0xd0300000/1048576, I/O @ 0x00004000/256
(II) Open ACPI successful (/var/run/acpid.socket)
(II) System resource ranges:
[0] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
[1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[3] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[4] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
[5] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[6] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[7] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[8] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
[9] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[10] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[11] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[12] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
[13] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[14] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[15] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[16] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
[17] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[18] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[19] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[20] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[21] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]
[22] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[23] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]
[24] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[25] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]
[26] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[27] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]
[28] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[29] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "record" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri2" will be loaded by default.
(II) LoadModule: "dbe"
(II) Loading /usr/lib64/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
compiled for 1.6.3.901, module version = 1.0.0
Module class: X.Org Server Extension
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "dri"
(II) Loading /usr/lib64/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
compiled for 7.4.0, module version = 1.0.0
(II) Loading extension XFree86-DRI
(II) Loading sub module "fglrxdrm"
(II) LoadModule: "fglrxdrm"
(II) Loading /usr/lib64/xorg/modules/linux//libfglrxdrm.so
(II) Module fglrxdrm: vendor="FireGL - ATI Technologies Inc."
compiled for 1.4.99.906, module version = 8.65.4
(II) LoadModule: "glx"
(II) Loading /usr/lib64/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="FireGL - ATI Technologies Inc."
compiled for 7.4.0, module version = 1.0.0
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib64/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
compiled for 1.6.3.901, module version = 1.13.0
Module class: X.Org Server Extension
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "extmod"
(II) Loading /usr/lib64/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
compiled for 1.6.3.901, module version = 1.0.0
Module class: X.Org Server Extension
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dri2"
(WW) Warning, couldn't open module dri2
(II) UnloadModule: "dri2"
(EE) Failed to load module "dri2" (module does not exist, 0)
(II) LoadModule: "fglrx"
(II) Loading /usr/lib64/xorg/modules/drivers//fglrx_drv.so
(II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
compiled for 1.4.99.906, module version = 8.65.4
Module class: X.Org Video Driver
(II) Primary Device is: PCI 01@00:05:0
(WW) Falling back to old probe method for fglrx
(II) ATI Proprietary Linux Driver Version Identifier:8.65.4
(II) ATI Proprietary Linux Driver Release Identifier: 8.65
(II) ATI Proprietary Linux Driver Build Date: Aug 13 2009 21:15:59
(II) Loading PCS database from /etc/ati/amdpcsdb
(EE) No devices detected.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support
at http://wiki.x.org
for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

Gruss Joerg
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Wed Dec 16, 2009 7:23 pm    Post subject: Reply with quote

um was für eine ati karte handelt es sich denn?
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
JoHo42
l33t
l33t


Joined: 14 Feb 2004
Posts: 944
Location: Germany

PostPosted: Wed Dec 16, 2009 7:28 pm    Post subject: Reply with quote

Hier ein paar lspci Informationen:

00:00.0 Host bridge: ATI Technologies Inc RS690 Host Bridge
00:01.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (Internal gfx)
00:04.0 PCI bridge: ATI Technologies Inc Device 7914
00:05.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express Port 1)
00:06.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express Port 2)

01:05.0 VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series]

Vielleicht noch ein paar Infos als nachtrag:
myoffice joho42 # modprobe fglrx
FATAL: Error inserting fglrx (/lib/modules/2.6.30-gentoo-r4/video/fglrx.ko): Cannot allocate memory

eselect opengl set ati habe ich gemacht.

Gruss Joerg
Back to top
View user's profile Send private message
yuhu
Tux's lil' helper
Tux's lil' helper


Joined: 17 Oct 2006
Posts: 86

PostPosted: Wed Dec 16, 2009 9:19 pm    Post subject: Reply with quote

Mich wundern eher die ersten Zeilen.

Code:
_XSERVTransSocketOpenCOTSServer: Unable to open socket for inet6
_XSERVTransOpen: transport open failed for inet6/myoffice:0
_XSERVTransMakeAllCOTSServerListeners: failed to open listener for inet6


Hatte so ein ännliches Problem mit einem Ubuntu Kernel

Hab dann einfach mal den Kernel mit IP6 Unerstützung gebaut und schon ging der X Server wieder.

Vielleicht hilfts
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Wed Dec 16, 2009 11:02 pm    Post subject: Reply with quote

das Hauptproblem ist, dass das fglrx kernel modul nicht läd. Dadurch kann der xorg-treiber die Karte nicht finden.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
JoHo42
l33t
l33t


Joined: 14 Feb 2004
Posts: 944
Location: Germany

PostPosted: Sun Dec 20, 2009 7:36 pm    Post subject: Reply with quote

Hi Leute,

ich habe mal den ati-drivers auf den neuesten Stand gebracht.
Allerdings habe ich jetzt eine andere Meldung:
FATAL: Error inserting fglrx (/lib/modules/2.6.30-gentoo-r4/video/fglrx.ko): No such device

Gruss Jörg
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Sun Dec 20, 2009 7:38 pm    Post subject: Reply with quote

die aktuellen treiber unterstützen die x1200 vermutlich nicht mehr
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
JoHo42
l33t
l33t


Joined: 14 Feb 2004
Posts: 944
Location: Germany

PostPosted: Sun Dec 20, 2009 8:35 pm    Post subject: Reply with quote

Danke fuer die schnelle antwort, aber der Treiber unterstuetzt meine Grafikkarte.

* Please note that this driver supports only graphic cards based on
* r600 chipset and newer.
* This represent the ATI Radeon HD series at this moment.

01:05.0 VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series]

Das sollte funktionieren.

Gruss Joerg
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Sun Dec 20, 2009 8:46 pm    Post subject: Reply with quote

JoHo42 wrote:
Danke fuer die schnelle antwort, aber der Treiber unterstuetzt meine Grafikkarte.

* Please note that this driver supports only graphic cards based on
* r600 chipset and newer.
* This represent the ATI Radeon HD series at this moment.

01:05.0 VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series]

Das sollte funktionieren.

Gruss Joerg

falsch die karte hat keinen r600 gpu kern sondern höchsten einen basierend auf dem r500. Karte mit r600 kern oder neuer hat die Bezeichnung HD xxxx.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Sun Dec 20, 2009 8:51 pm    Post subject: Reply with quote

der letzte treiber von amd welche diesen chip unterstütz ist die version 9.3 des Catalyst treibers. Ansonsten wird dieser von dem opensource ati treiber unterstützt.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
JoHo42
l33t
l33t


Joined: 14 Feb 2004
Posts: 944
Location: Germany

PostPosted: Sun Dec 20, 2009 9:32 pm    Post subject: Reply with quote

Hi firefly,

ich benutze, 9.11.
Sollte doch funktionieren, ich verstehe die ganze Sache nicht mehr.
Ich hatte mal den 8.552-r2 am laufen, allerdings der laeuft auch nicht mehr.
Ich habe gerade auch 8.552-r2 probiert wieder ans laufen zu bekommen,
keine Change. Auch andere Versionen geben dann die Meldung "Memory allocated".

Gruss Joerg
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Sun Dec 20, 2009 9:46 pm    Post subject: Reply with quote

nein der 9.11 funktioniert mit deiner gpu nicht mehr. Denn diese basiert nicht auf dem r600 chip design. Die letzte version des Catalyst treibers, welche deine karte unterstützt ist version 9.3.
Oder nimm den opensource radeon treiber (xf86-video-ati)
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Mon Dec 21, 2009 9:43 am    Post subject: Reply with quote

Hallo Allerseits,

firefly wrote:
Oder nimm den opensource radeon treiber (xf86-video-ati)


Bei mir funktioniert zwar der fglrx-Treiber, doch ich wollte auf den radeon rüberwechseln. Hat jemand Erfahrungen machen können, dass der auch 3D unterstützt? Die "normale" Version macht es ja nicht, doch die CVS-Version (*-9999)?
Back to top
View user's profile Send private message
JoHo42
l33t
l33t


Joined: 14 Feb 2004
Posts: 944
Location: Germany

PostPosted: Mon Dec 21, 2009 11:31 am    Post subject: Reply with quote

Hi Leute,

ich habe jetzt den open source Treiber wieder komplett am laufen.
Der hatte nicht gut funktioniert, immer wenn ich aus den Konsolen wieder in
den X Server gewechselt habe. Gind der X-server in den reboot.
Der Fehler war, wie oben angeführt, dass ich die IP6 unterstützung aktiviert hatte.
Einfach USE Flags verändert und dann ging wieder alles.

Jetzt habe ich dennoch eine Frage, wo ist der unterschied zwischen dem Treiber im Kernel und
dem Treiber bei xorg-drivers?

Ansonsten scheint der Opensource Treiber sehr stabiel zu laufen.

Gruss Jörg
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Mon Dec 21, 2009 1:04 pm    Post subject: Reply with quote

JoHo42 wrote:
Hi Leute,

ich habe jetzt den open source Treiber wieder komplett am laufen.
Der hatte nicht gut funktioniert, immer wenn ich aus den Konsolen wieder in
den X Server gewechselt habe. Gind der X-server in den reboot.
Der Fehler war, wie oben angeführt, dass ich die IP6 unterstützung aktiviert hatte.
Einfach USE Flags verändert und dann ging wieder alles.

Jetzt habe ich dennoch eine Frage, wo ist der unterschied zwischen dem Treiber im Kernel und
dem Treiber bei xorg-drivers?

Ansonsten scheint der Opensource Treiber sehr stabiel zu laufen.

Gruss Jörg

du brauchst beides. Der kernel treiber ist für eigentliche die Aansteuerung der Hardware zuständig und bietet über die DRM/DRI Schnittstelle den Zugriff auf die Hardware. Der Xorg-Treiber verwendet die DRM/DRI Schnitstelle um die Hardware bestimmte Aktionen ausführen zu lassen (z.b das Zeichen eines Dreiecks mit opengl)
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Mon Dec 21, 2009 1:30 pm    Post subject: Reply with quote

JoHo42 wrote:
Ansonsten scheint der Opensource Treiber sehr stabiel zu laufen.

Auch mit 3D?
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Mon Dec 21, 2009 1:32 pm    Post subject: Reply with quote

nach meinem letzten Test vor ca 1-1,5 Jahren funktionierte 3D rudimentär mit meiner 9800Pro (nur opengl 1.5).
Es kommt halt drauf an, was du machen möchtest und welche Karte du hast.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Mon Dec 21, 2009 1:47 pm    Post subject: Reply with quote

Ich habe 'ne
Code:
ATI Technologies Inc Mobilitiy Radeon HD 3400 Series

Mit dem fglrx gibt es ab und zu Probleme. Musste letztlich "CONFIG_PREEMPT is not set" im Kernel abschalten, was sich doch ein wenig bemerkbar macht.

Habe mal 'ne Intel (Mobile G ... irgendwas, Laptop von vor einem Jahr) unter dem KDE4 installiert. War der Hammer. Doch mit der ATI-Grafikkarte schalte ich letztlich 3D immer wieder ab. Viel zu langsam.
Back to top
View user's profile Send private message
Child_of_Sun_24
Guru
Guru


Joined: 28 Jul 2004
Posts: 454

PostPosted: Mon Dec 21, 2009 2:17 pm    Post subject: Reply with quote

Hi,

warum versuchst du nicht mal den Radeon HD Treiber oder den Standard Ati Treiber von xorg.

Ich habe eine HD4870 und mit radeonhd funktioniert alles Problemlos.

CoS24
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Mon Dec 21, 2009 2:31 pm    Post subject: Reply with quote

Child_of_Sun_24 wrote:
warum versuchst du nicht mal den Radeon HD Treiber oder den Standard Ati Treiber von xorg.

Weil im Wiki steht, dass der veraltet ist. Und der Standardtreiber macht eben die 3D-Sachen nicht wirklich (z.B. Transparenz).
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum